package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingExpirePromotionDeleteRequest struct {
	/*
	   删除短保优惠     */
	Param0 *domain.AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo `json:"param0,omitempty" required:"false" `
}

func (s *AlibabaHmMarketingExpirePromotionDeleteRequest) SetParam0(v domain.AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo) *AlibabaHmMarketingExpirePromotionDeleteRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaHmMarketingExpirePromotionDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaHmMarketingExpirePromotionDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
